org.apache.tools.ant.taskdefs.email

## Class Header

- java.lang.Object
- - org.apache.tools.ant.taskdefs.email.Header

    public class Header
    extends java.lang.Object

Class representing a generic e-mail header.

Since:
  Ant 1.7

### Constructor Summary

Constructors
Constructor and Description
`Header()`

### Method Summary

Methods
`java.lang.String` `getName()` Get the name of this Header.
`java.lang.String` `getValue()` Get the value of this Header.
`void` `setName(java.lang.String name)` Set the name of this Header.
`void` `setValue(java.lang.String value)` Set the value of this Header.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Header

    public Header()

### Method Detail

#### setName

    public void setName(java.lang.String name)

Set the name of this Header.

Parameters:
  `name` - the name to set.

#### getName

    public java.lang.String getName()

Get the name of this Header.

Returns:
  name as String.

#### setValue

    public void setValue(java.lang.String value)

Set the value of this Header.

Parameters:
  `value` - the value to set.

#### getValue

    public java.lang.String getValue()

Get the value of this Header.

Returns:
  value as String.